| 1.0.0 API documentation

Functions
matrix.hpp File Reference

Core features More...

Go to the source code of this file.

## Functions
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL T | determinant (mat< C, R, T, Q > const &m)
| Return the determinant of a squared matrix. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL mat< C, R, T, Q > | inverse (mat< C, R, T, Q > const &m)
| Return the inverse of a squared matrix. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL mat< C, R, T, Q > | matrixCompMult (mat< C, R, T, Q > const &x, mat< C, R, T, Q > const &y)
| Multiply matrix x by matrix y component-wise, i.e., result[i][j] is the scalar product of x[i][j] and y[i][j]. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL detail::outerProduct_trait< C, R, T, Q >::type | outerProduct (vec< C, T, Q > const &c, vec< R, T, Q > const &r)
| Treats the first parameter c as a column vector and the second parameter r as a row vector and does a linear algebraic matrix multiply c * r. More...
template<length_t C, length_t R, typename T , qualifier Q>
GLM_FUNC_DECL mat< C, R, T, Q >::transpose_type | transpose (mat< C, R, T, Q > const &x)
| Returns the transposed matrix of x. More...

## Detailed Description

Core features

See also
  GLSL 4.20.8 specification, section 8.6 Matrix Functions

Definition in file matrix.hpp.